org.apache.calcite.avatica.proto

## Class Common.AvaticaType

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.AvaticaType

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.AvaticaTypeOrBuilder

Enclosing class:
  Common

    public static final class Common.AvaticaType
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.AvaticaTypeOrBuilder

     Base class for a column type

Protobuf type `AvaticaType`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.AvaticaType.Builder` Base class for a column type

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private int` `bitField0_`
`private List<Common.ColumnMetaData>` `columns_`
`static int` `COLUMNS_FIELD_NUMBER`
`private Common.AvaticaType` `component_`
`static int` `COMPONENT_FIELD_NUMBER`
`private static Common.AvaticaType` `DEFAULT_INSTANCE`
`private int` `id_`
`static int` `ID_FIELD_NUMBER`
`private byte` `memoizedIsInitialized`
`private Object` `name_`
`static int` `NAME_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Common.AvaticaType>` `PARSER`
`private int` `rep_`
`static int` `REP_FIELD_NUMBER`
`private static long` `serialVersionUID`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `AvaticaType()`
`private` `AvaticaType(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `AvaticaType(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Common.ColumnMetaData` `getColumns(int index)` Only present when name = STRUCT
`int` `getColumnsCount()` Only present when name = STRUCT
`List<Common.ColumnMetaData>` `getColumnsList()` Only present when name = STRUCT
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` Only present when name = STRUCT
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` Only present when name = STRUCT
`Common.AvaticaType` `getComponent()` Only present when name = ARRAY
`Common.AvaticaTypeOrBuilder` `getComponentOrBuilder()` Only present when name = ARRAY
`static Common.AvaticaType` `getDefaultInstance()`
`Common.AvaticaType` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`int` `getId()` `uint32 id = 1;`
`String` `getName()` `string name = 2;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 2;`
`com.google.protobuf.Parser<Common.AvaticaType>` `getParserForType()`
`Common.Rep` `getRep()` `.Rep rep = 3;`
`int` `getRepValue()` `.Rep rep = 3;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasComponent()` Only present when name = ARRAY
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.AvaticaType.Builder` `newBuilder()`
`static Common.AvaticaType.Builder` `newBuilder(Common.AvaticaType prototype)`
`Common.AvaticaType.Builder` `newBuilderForType()`
`protected Common.AvaticaType.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.AvaticaType` `parseDelimitedFrom(InputStream input)`
`static Common.AvaticaType` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaType` `parseFrom(byte[] data)`
`static Common.AvaticaType` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaType` `parseFrom(ByteBuffer data)`
`static Common.AvaticaType` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaType` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.AvaticaType` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaType` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.AvaticaType` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.AvaticaType` `parseFrom(InputStream input)`
`static Common.AvaticaType` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.AvaticaType>` `parser()`
`Common.AvaticaType.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### bitField0_

    private int bitField0_

#### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### id_

    private int id_

#### NAME_FIELD_NUMBER

    public static final int NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### name_

    private volatile Object name_

#### REP_FIELD_NUMBER

    public static final int REP_FIELD_NUMBER

See Also:
  Constant Field Values

#### rep_

    private int rep_

#### COLUMNS_FIELD_NUMBER

    public static final int COLUMNS_FIELD_NUMBER

See Also:
  Constant Field Values

#### columns_

    private List<Common.ColumnMetaData> columns_

#### COMPONENT_FIELD_NUMBER

    public static final int COMPONENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### component_

    private Common.AvaticaType component_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.AvaticaType DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.AvaticaType> PARSER

### Constructor Detail

#### AvaticaType

    private AvaticaType(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### AvaticaType

    private AvaticaType()

#### AvaticaType

    private AvaticaType(com.google.protobuf.CodedInputStream input,
                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                 throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getId

    public int getId()

`uint32 id = 1;`

Specified by:
  `getId` in interface `Common.AvaticaTypeOrBuilder`

#### getName

    public String getName()

`string name = 2;`

Specified by:
  `getName` in interface `Common.AvaticaTypeOrBuilder`

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

`string name = 2;`

Specified by:
  `getNameBytes` in interface `Common.AvaticaTypeOrBuilder`

#### getRepValue

    public int getRepValue()

`.Rep rep = 3;`

Specified by:
  `getRepValue` in interface `Common.AvaticaTypeOrBuilder`

#### getRep

    public Common.Rep getRep()

`.Rep rep = 3;`

Specified by:
  `getRep` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsList

    public List<Common.ColumnMetaData> getColumnsList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsList` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsOrBuilderList

    public List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsOrBuilderList` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsCount

    public int getColumnsCount()

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsCount` in interface `Common.AvaticaTypeOrBuilder`

#### getColumns

    public Common.ColumnMetaData getColumns(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumns` in interface `Common.AvaticaTypeOrBuilder`

#### getColumnsOrBuilder

    public Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

     Only present when name = STRUCT

`repeated .ColumnMetaData columns = 4;`

Specified by:
  `getColumnsOrBuilder` in interface `Common.AvaticaTypeOrBuilder`

#### hasComponent

    public boolean hasComponent()

     Only present when name = ARRAY

`.AvaticaType component = 5;`

Specified by:
  `hasComponent` in interface `Common.AvaticaTypeOrBuilder`

#### getComponent

    public Common.AvaticaType getComponent()

     Only present when name = ARRAY

`.AvaticaType component = 5;`

Specified by:
  `getComponent` in interface `Common.AvaticaTypeOrBuilder`

#### getComponentOrBuilder

    public Common.AvaticaTypeOrBuilder getComponentOrBuilder()

     Only present when name = ARRAY

`.AvaticaType component = 5;`

Specified by:
  `getComponentOrBuilder` in interface `Common.AvaticaTypeOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.AvaticaType parseFrom(ByteBuffer data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(ByteBuffer data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(com.google.protobuf.ByteString data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(com.google.protobuf.ByteString data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(byte[] data)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(byte[] data,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.AvaticaType parseFrom(InputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaType parseFrom(InputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.AvaticaType parseDelimitedFrom(InputStream input)
                                                 throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.AvaticaType parseDelimitedFrom(InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaType parseFrom(com.google.protobuf.CodedInputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.AvaticaType parseFrom(com.google.protobuf.CodedInputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.AvaticaType.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.AvaticaType.Builder newBuilder()

#### newBuilder

    public static Common.AvaticaType.Builder newBuilder(Common.AvaticaType prototype)

#### toBuilder

    public Common.AvaticaType.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.AvaticaType.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.AvaticaType getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.AvaticaType> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.AvaticaType> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.AvaticaType getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`